kpca-class {kernlab} | R Documentation

## Class "kpca"

### Description

The Kernel Principal Components Analysis class

### Objects of class "kpca"

Objects can be created by calls of the form `new("kpca", ...)`. or by calling the `kpca` function.

### Slots

`pcv`:

  Object of class `"matrix"` containing the principal component vectors

`eig`:

  Object of class `"vector"` containing the corresponding eigenvalues

`rotated`:

  Object of class `"matrix"` containing the projection of the data on the principal components

`kernelf`:

  Object of class `"function"` containing the kernel function used

`kpar`:

  Object of class `"list"` containing the kernel parameters used

`xmatrix`:

  Object of class `"matrix"` containing the data matrix used

`kcall`:

  Object of class `"ANY"` containing the function call

`n.action`:

  Object of class `"ANY"` containing the action performed on NA

### Methods

eig

  `signature(object = "kpca")`: returns the eigenvalues

kcall

  `signature(object = "kpca")`: returns the performed call

kernelf

  `signature(object = "kpca")`: returns the used kernel function

pcv

  `signature(object = "kpca")`: returns the principal component vectors

predict

  `signature(object = "kpca")`: embeds new data

rotated

  `signature(object = "kpca")`: returns the projected data

xmatrix

  `signature(object = "kpca")`: returns the used data matrix

### Author(s)

Alexandros Karatzoglou
alexandros.karatzoglou@ci.tuwien.ac.at

### See Also

`ksvm-class`, `kcca-class`

### Examples

    # another example using the iris
    data(iris)
    test <- sample(1:50,20)

    kpc <- kpca(~.,data=iris[-test,-5],kernel="rbfdot",
                kpar=list(sigma=0.2),features=2)

    #print the principal component vectors
    pcv(kpc)
    rotated(kpc)
    kernelf(kpc)
    eig(kpc)

[Package kernlab version 0.9-27 Index]